from flask_auth import app
from flask_auth.functions import main, name, name_master, name_master_pth


@app.route('/containers/')
def route_docker_main():
    return main.main('route_docker_v31')


@app.route('/containers/master/', defaults={'path': ''})
@app.route('/containers/master/<path:path>')
def route_docker_master(path):
    return name_master.name_master('containers', 'master', path)


@app.route('/containers/master/<path>')
def route_docker_master_pth(path):
    return name_master_pth.name_master_pth('route_docker_master', 'containers', 'master', path, True)


@app.route('/containers/v3.1/', defaults={'path': ''})
@app.route('/containers/v3.1/<path:path>')
def route_docker_v31(path):
    return name.name('containers/v3.1/', path)


@app.route('/containers/v3.1/<path>')
def route_docker_v31_pth(path):
    return name_master_pth.name_master_pth('route_docker_v31', 'containers', 'v3.1', path)


@app.route('/containers/v3.0/', defaults={'path': ''})
@app.route('/containers/v3.0/<path:path>')
def route_docker_v30(path):
    return name.name('containers/v3.0/', path)


@app.route('/containers/v3.0/<path>')
def route_docker_v30_pth(path):
    return name_master_pth.name_master_pth('route_docker_v30', 'containers', 'v3.0', path)


@app.route('/containers/v2.1/', defaults={'path': ''})
@app.route('/containers/v2.1/<path:path>')
def route_docker_v21(path):
    return name.name('containers/v2.1/', path)


@app.route('/containers/v2.1/<path>')
def route_docker_v21_pth(path):
    return name_master_pth.name_master_pth('route_docker_v21', 'containers', 'v2.1', path)


@app.route('/containers/v2.0/', defaults={'path': ''})
@app.route('/containers/v2.0/<path:path>')
def route_docker_v20(path):
    return name.name('containers/v2.0/', path)


@app.route('/containers/v2.0/<path>')
def route_docker_v20_pth(path):
    return name_master_pth.name_master_pth('route_docker_v20', 'containers', 'v2.0', path)


@app.route('/containers/DE-Engine-v18.03/', defaults={'path': ''})
@app.route('/containers/DE-Engine-v18.03/<path:path>')
def route_docker_v18_03(path):
    return name.name('containers/DE-Engine-v18.03/', path)


@app.route('/containers/DE-Engine-v18.03/<path>')
def route_docker_v18_03_pth(path):
    return name_master_pth.name_master_pth('route_docker_v18_03', 'containers', 'DE-Engine-v18.03', path)
